Package org.eclipse.m2m.atl.engine.compiler

# Class AtlCompiler

java.lang.Object
org.eclipse.m2m.atl.engine.compiler.AtlCompiler

public final class AtlCompiler extends Object
The ATL compiler.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_COMPILER_NAME`
The default ATL compiler.

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.emf.ecore.EObject[]`
`compile(InputStream in, OutputStream outputStream)`
Standalone compilation, to an outputStream.
`static org.eclipse.emf.ecore.EObject[]`
`compile(Reader in, String outputFileName)`
Standalone compilation.
`static org.eclipse.emf.ecore.EObject[]`
`compile(Reader in, org.eclipse.core.resources.IFile out)`
Performs compilation.
`static AtlStandaloneCompiler`
`getCompiler(String compilerName)`
Searches for the correct implementation of `AtlStandaloneCompiler` which is independent of Eclipse platform stuff like IFile, IResource, etc.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_COMPILER_NAME

public static final String DEFAULT_COMPILER_NAME
The default ATL compiler.

See Also:
  - Constant Field Values

## Method Details

### getCompiler

public static AtlStandaloneCompiler getCompiler(String compilerName)
Searches for the correct implementation of `AtlStandaloneCompiler` which is independent of Eclipse platform stuff like IFile, IResource, etc.

Parameters:
  `compilerName` - name of the compiler to search for
Returns:
  the compiler which was found

### compile

public static org.eclipse.emf.ecore.EObject[] compile(Reader in, org.eclipse.core.resources.IFile out) throws IOException
Performs compilation.

Parameters:
  `in` - The InputStream to get atl source from.
  `out` - The IFile to which the ATL compiled program will be saved.
Returns:
  the problems which occured during compilation
Throws:
  `IOException`

### compile

public static org.eclipse.emf.ecore.EObject[] compile(Reader in, String outputFileName) throws IOException
Standalone compilation.

Parameters:
  `in` - The InputStream to get atl source from.
  `outputFileName` - The output file name
Returns:
  the problems which occurred during compilation
Throws:
  `IOException`

### compile

public static org.eclipse.emf.ecore.EObject[] compile(InputStream in, OutputStream outputStream) throws IOException
Standalone compilation, to an outputStream.

Parameters:
  `in` - The InputStream to get atl source from.
  `outputStream` - The output file name
Returns:
  the problems which occurred during compilation
Throws:
  `IOException`